View Issue Details

IDProjectCategoryView StatusLast Update
0001930SOGoWeb Calendarpublic2012-09-19 16:18
Reporteralessio Assigned Tolcharland 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.16 
Fixed in Version2.0.0 
Summary0001930: Notification e-mail are not available on transifex for translate
Description

This is e-mail notification body.
Why is it partially in english? Sogo Italian on Transifex is translated at 100%

--
The event "Evento di Alessio" was created

Inizio:
Lunedi, 6 Agosto, 2012 - 10:00
Fine:
Lunedi, 6 Agosto, 2012 - 13:45

TagsNo tags attached.

Activities

alzmich

alzmich

2012-09-13 06:11

reporter   ~0004475

Can comfirm this behavior - also in the nightly release (mtn checkout) - texts created by

SOGoAptMailICalReply.m

that belongs to "bodyFormat" are not translated (in my case to german)

what i did to solve it for me, was to transform the line 116 from:

bodyFormat = @"%{Attendee} %{SentByText}has accepted your event invitation.";

to:

bodyFormat = [self labelForKey: @"%{Attendee} %{SentByText}has accepted your event invitation." inContext: context];

that worked for me - don't ask me if it's correct, i'm not a developer in this language..

lcharland

lcharland

2012-09-19 16:18

developer   ~0004497

Fixed bug see https://github.com/inverse-inc/sogo/commit/26c97fe4ed7b652498b3b4d9246ed664f88d8bd8

Issue History

Date Modified Username Field Change
2012-08-10 10:17 alessio New Issue
2012-09-13 06:11 alzmich Note Added: 0004475
2012-09-19 09:44 francis Status new => assigned
2012-09-19 09:44 francis Assigned To => lcharland
2012-09-19 16:18 lcharland Note Added: 0004497
2012-09-19 16:18 lcharland Status assigned => resolved
2012-09-19 16:18 lcharland Fixed in Version => 2.0.0
2012-09-19 16:18 lcharland Resolution open => fixed